Bug 232432 - Add support for satellite sync to sync new virt tables from hosted
Summary: Add support for satellite sync to sync new virt tables from hosted
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
(Show other bugs)
Version: rhn500
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Pradeep Kilambi
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 173427
TreeView+ depends on / blocked
 
Reported: 2007-03-15 14:42 UTC by Pradeep Kilambi
Modified: 2007-06-26 02:56 UTC (History)
1 user (show)

Fixed In Version: sat500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 02:56:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss of first table populated (383.00 KB, image/png)
2007-04-04 17:57 UTC, wes hayutin
no flags Details
ss of second populated table (381.69 KB, image/png)
2007-04-04 17:58 UTC, wes hayutin
no flags Details

Description Pradeep Kilambi 2007-03-15 14:42:40 UTC
Description of problem:

We have some new virt tables that satellite-sync needs to sync down from hosted
as a part of syncing respective channelfamilies and serverGroup types.

Tables that need to be synced:

- rhnChannelFamilyVirtSubLevel
- rhnSGTypeVirtSubLevel tables
- rhnVirtSubLevel
  
Actual results:
We dont sync these tables from hosted right now

Expected results:

satellite-sync sync's down the data for rhnChannelFamilyVirtSubLevel and
rhnSGTypeVirtSubLevel from hosted and also update the rhnVirtSubLevel lookup
table for any new references.

Additional info:

Comment 1 Pradeep Kilambi 2007-04-02 14:53:37 UTC
to test:

try syncing a 5.0 sat against hosted and make sure rhnChannelFamilyVirtSubLevel
and rhnSGTypeVirtSubLevel gets populated. rhnVirtSubLevel will be updated based
on  updates to other two tables. So the scenerio would be say there is a new
extitlement 'x' in rhnVirtSubLevel, which is linked to channelFamily and sgtype
in   
rhnChannelFamilyVirtSubLevel and rhnSGTypeVirtSubLevel respectively, sat clinet
should pull this new data from hosted.

Make sure 5.0 sat you are testing has the client code to support this. Is not we
need to wait untill next 5.0 sat packages are pushed to qa.

Comment 2 wes hayutin 2007-04-04 17:57:52 UTC
Created attachment 151686 [details]
ss of first table populated

Comment 3 wes hayutin 2007-04-04 17:58:41 UTC
Created attachment 151688 [details]
ss of second populated table

Comment 4 wes hayutin 2007-04-04 17:59:11 UTC
verified

Comment 5 Pradeep Kilambi 2007-06-20 14:53:00 UTC
re-verified on ISO -40

Comment 6 Brandon Perkins 2007-06-26 02:56:51 UTC
Closed for Satellite 500 Release.


Note You need to log in before you can comment on or make changes to this bug.